/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/


//#ifdef __cplusplus    // If used by C++ code, 
//extern "C" {          // we need to export the C interface
//#endif

#include <WinIoctl.h>
#include <iostream>
#include <string>
#include <vector>
using namespace std;

#include "diskid32_function.h"

#define USE_WMI 0 //We set WMI as second choice

#if !USE_WMI
	int searchInstalledDisk(vector<HardDriveList> &szHardDriveList);
#else
	int searchInstalledDisk(vector<List> &szAntecedentLogicalDiskToPartition);
#endif

int readDiskHealthStatus(TCHAR *sectionName);

int getDiskHealth(int disk_index);

int mxdisk_query_disk_health(int diskIndex);


//#ifdef __cplusplus    // If used by C++ code, 
//}
//#endif