// Relay.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "mxgpio.h"
#define RELAY_INDEX	 6


int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hMxLED;
	int port_no=0;
	int	nLED = 0;
	int port = 0,mode = 0;
	int n = 0;
	//int on = 1;
	int data=0;
	int	input=0,output=0;

	WCHAR sin,smode;
	printf("RELAY Test Program\n");
    printf("\t (0) Exit Program\n");
    printf("\t (1) Display RELAY pin status\n");
    printf("\t (2) Set RELAY pin value\n");

	sin=getwchar();
	n=_wtoi(&sin);
	do
    {
        switch (n)
        {
            // if char == '1', display the digital input
            case 1:
				hMxLED=mxgpio_open();
				input=mxgpio_get_data(hMxLED, RELAY_INDEX);
				if(input == SIGNAL_LOW){
					printf("Status = LOW\n" );
				}else if(input == SIGNAL_HIGH){
					printf("Status = HIGH\n" );
				}
                mxgpio_close(hMxLED);
				break;
			case 2:
				getwchar();
                printf("Input the value (%d is low, %d is high) = ",SIGNAL_LOW,SIGNAL_HIGH);
				smode=getwchar();
				data=_wtoi(&smode);
		
				if( (data != SIGNAL_LOW) && (data != SIGNAL_HIGH) ){
					printf("The value you input must be 0 or 1. ");
					break;
				}

				//Open LED
				hMxLED=mxgpio_open();
				output=mxgpio_set_data(hMxLED, RELAY_INDEX, data);
				
				if(output==-1)
				{
					printf("Set RELAY fail!\n");
				}
				else
				{
					printf("Set RELAY success!\n");
				}

				//Close LED
				mxgpio_close(hMxLED);
				break;
		}
		getwchar();
		printf("RELAY Test Program\n");
		printf("\t (0) Exit Program\n");
		printf("\t (1) Display RELAY pin status\n");
		printf("\t (2) Set RELAY pin value\n");
        sin = getwchar();
        n = _wtoi(&sin);
    } while (n != 0);
	return 0;
}

